//---------------------------------------------------------------------------

#include "stdafx.h"

using namespace std;

#ifdef _MSC_VER
#pragma hdrstop
#endif

#include "myExcept.h"

//---------------------------------------------------------------------------


CException::CException( const string _msg )
{
    this->msg = _msg;
}

string CException::GetMsg(void)
{
    return msg;
}

IOException::IOException( const string _msg )
{
    this->msg = "I/O Exception: " + _msg;
}

RuntimeException::RuntimeException( const string _msg )
{
    this->msg = "Runtime Exception: " + _msg;
}

BoomException::BoomException( const string _msg )
{
    this->msg = "BOOM Exception: " + _msg;
}
